mia-3dvf2transform
Prev | Registration, Comparison, and Transformation of 3D images | Next

### mia-3dvf2transform

#### Sysnopis:

`mia-3dvf2transform` {-i `io`} {-o `io`} [ `options` ...]

#### Description:

Creates a 3D transformation from a vector field. The input vector field is simply encapsulated into the transformation file format. The boundary conditions and the image interpolator kernel can be set at the command line.

#### Options:

-i, --in-file=(input, required); io

  input transformation . For supported file types see Plugin type: 3dvf/io

-o, --out-file=(output, required); io

  output vector field . For supported file types see Plugin type: 3dtransform/io

-k, --imgkernel=bspline:d=3; factory

  image interpolator kernel which is used when the transformation is applied to an image. For supported plug-ins see Plugin type: 1d/splinekernel

-b, --imgboundary=mirror; factory

  Boundary condition applied when the transformation is used to transform an image. For supported plug-ins see Plugin type: 1d/splinebc

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Transform the input vector field field.vtk to the transformation trans.v3df and specify zero boundary conditions and b-splines of degree 2 for image interpolation.

    mia-3dvf2transform -i field.vtk -o trans.v3df --imgkernel bspline:d=2 --imgboundary zero

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3dtransform2vf | Home | mia-3dvfcompare